[{
  "timestamp": 11118.686161,
  "timestamp_epoch": 1727997690.622112,
  "event": "oculus_service_start",
  "service": "1.101.0",
  "display_diags_status": "Passed",
  "display_diags_status_value": 0,
  "display_diags_active_display_system": "None",
  "display_diags_dxgi2_preview_capable": 1,
  "display_diags_dxgi2_preview_available": 0,
  "display_diags_dxgi2_preview_code": -3019,
  "display_diags_dxgi2_preview_details": "Failed during detection of DXGI 2 Preview",
  "display_diags_direct_display_capable": 1,
  "display_diags_direct_display_available": 1,
  "display_diags_direct_display_code": 0,
  "display_diags_direct_display_details": "Direct Display available",
  "display_diags_ovr_direct_capable": 1,
  "display_diags_ovr_direct_available": 1,
  "display_diags_ovr_direct_code": 0,
  "display_diags_ovr_direct_details": "Debug Display available",
  "monitors": [
    {
      "horizontal_active_pixels": 3840,
      "vertical_active_pixels": 2160,
      "horizontal_image_size_mm": 697,
      "vertical_image_size_mm": 392
    },
    {
      "horizontal_active_pixels": 2880,
      "vertical_active_pixels": 1440,
      "horizontal_image_size_mm": 110,
      "vertical_image_size_mm": 50
    }
  ],
  "computer_type": "desktop",
  "hardware": {
    "Version": "1.0.0 (Custom Build)",
    "Timestamp": 1727997690,
    "Timestamp_str": "Thu Oct  3 19:21:30 2024 Eastern Daylight Time",
    "OverallResult": 0,
    "OverallResult_str": "PASS",
    "CpuList": [
        {
            "Name": "AMD Ryzen 9 5950X 16-Core Processor            ",
            "Manufacturer": "AuthenticAMD",
            "Level": 25,
            "Model": 33,
            "Stepping": 0,
            "NumberOfCores": 16,
            "NumberOfLogicalProcessors": 32,
            "MaxFrequencyMhz": 4526,
            "Compatibility": 0,
            "Compatibility_str": "PASS",
            "CompatibilityReason": 0,
            "CompatibilityReason_str": "WHITELISTED"
        }
    ],
    "MatchedCpu": {
        "Name": "AMD Ryzen 9 5950X 16-Core Processor            ",
        "Manufacturer": "AuthenticAMD",
        "Level": 25,
        "Model": 33,
        "Stepping": 0,
        "NumberOfCores": 16,
        "NumberOfLogicalProcessors": 32,
        "MaxFrequencyMhz": 4526,
        "Compatibility": 0,
        "Compatibility_str": "PASS",
        "CompatibilityReason": 0,
        "CompatibilityReason_str": "WHITELISTED"
    },
    "CpuResult": 0,
    "CpuResult_str": "PASS",
    "CpuHelpUrl": "",
    "VideoCardList": [
        {
            "Name": "NVIDIA GeForce RTX 4090",
            "WhitelistName": "NVIDIA GeForce RTX 4090",
            "DriverVersion": "32.0.15.6590",
            "LUID": "0x0000000000015d5e",
            "VendorId": 4318,
            "ProductId": 9860,
            "SubsysVendorId": 0,
            "SubsysRevId": 161,
            "VRamMb": 23040,
            "HybridGraphicsStatus": "Success",
            "Compatibility": 0,
            "Compatibility_str": "PASS",
            "IsDriverCompatible": true,
            "PassHybridCheck": true,
            "VulkanCapable": true,
            "total_DVI_port_count": 0,
            "total_HDMI_port_count": 2,
            "total_generic_DisplayPort_port_count": 0,
            "total_internal_DisplayPort_port_count": 0,
            "total_external_DisplayPort_port_count": 3,
            "total_external_mini_DisplayPort_port_count": 0,
            "active_DVI_port_count": 0,
            "active_HDMI_port_count": 0,
            "active_generic_DisplayPort_port_count": 0,
            "active_internal_DisplayPort_port_count": 0,
            "active_external_DisplayPort_port_count": 2,
            "active_external_mini_DisplayPort_port_count": 0
        },
        {
            "Name": "NVIDIA GeForce RTX 4090",
            "WhitelistName": "NVIDIA GeForce RTX 4090",
            "DriverVersion": "32.0.15.6590",
            "LUID": "0x0000000006270aa0",
            "VendorId": 4318,
            "ProductId": 9860,
            "SubsysVendorId": 0,
            "SubsysRevId": 161,
            "VRamMb": 23040,
            "HybridGraphicsStatus": "NoMatchingAdapter",
            "Compatibility": 2,
            "Compatibility_str": "FAIL",
            "IsDriverCompatible": true,
            "PassHybridCheck": false,
            "VulkanCapable": true,
            "total_DVI_port_count": 0,
            "total_HDMI_port_count": 0,
            "total_generic_DisplayPort_port_count": 0,
            "total_internal_DisplayPort_port_count": 0,
            "total_external_DisplayPort_port_count": 0,
            "total_external_mini_DisplayPort_port_count": 0,
            "active_DVI_port_count": 0,
            "active_HDMI_port_count": 0,
            "active_generic_DisplayPort_port_count": 0,
            "active_internal_DisplayPort_port_count": 0,
            "active_external_DisplayPort_port_count": 0,
            "active_external_mini_DisplayPort_port_count": 0
        },
        {
            "Name": "NVIDIA GeForce RTX 4090",
            "WhitelistName": "NVIDIA GeForce RTX 4090",
            "DriverVersion": "32.0.15.6590",
            "LUID": "0x000000000621534c",
            "VendorId": 4318,
            "ProductId": 9860,
            "SubsysVendorId": 0,
            "SubsysRevId": 161,
            "VRamMb": 23040,
            "HybridGraphicsStatus": "NoMatchingAdapter",
            "Compatibility": 2,
            "Compatibility_str": "FAIL",
            "IsDriverCompatible": true,
            "PassHybridCheck": false,
            "VulkanCapable": true,
            "total_DVI_port_count": 0,
            "total_HDMI_port_count": 0,
            "total_generic_DisplayPort_port_count": 0,
            "total_internal_DisplayPort_port_count": 0,
            "total_external_DisplayPort_port_count": 0,
            "total_external_mini_DisplayPort_port_count": 0,
            "active_DVI_port_count": 0,
            "active_HDMI_port_count": 0,
            "active_generic_DisplayPort_port_count": 0,
            "active_internal_DisplayPort_port_count": 0,
            "active_external_DisplayPort_port_count": 0,
            "active_external_mini_DisplayPort_port_count": 0
        }
    ],
    "MatchedVideoCard": {
        "Name": "NVIDIA GeForce RTX 4090",
        "WhitelistName": "NVIDIA GeForce RTX 4090",
        "DriverVersion": "32.0.15.6590",
        "LUID": "0x0000000000015d5e",
        "VendorId": 4318,
        "ProductId": 9860,
        "SubsysVendorId": 0,
        "SubsysRevId": 161,
        "VRamMb": 23040,
        "HybridGraphicsStatus": "Success",
        "Compatibility": 0,
        "Compatibility_str": "PASS",
        "IsDriverCompatible": true,
        "PassHybridCheck": true,
        "VulkanCapable": true,
        "total_DVI_port_count": 0,
        "total_HDMI_port_count": 2,
        "total_generic_DisplayPort_port_count": 0,
        "total_internal_DisplayPort_port_count": 0,
        "total_external_DisplayPort_port_count": 3,
        "total_external_mini_DisplayPort_port_count": 0,
        "active_DVI_port_count": 0,
        "active_HDMI_port_count": 0,
        "active_generic_DisplayPort_port_count": 0,
        "active_internal_DisplayPort_port_count": 0,
        "active_external_DisplayPort_port_count": 2,
        "active_external_mini_DisplayPort_port_count": 0
    },
    "VideoCardResult": 0,
    "VideoCardResult_str": "PASS",
    "VideoCardHelpUrl": "",
    "RamMb": 130984,
    "RamResult": 0,
    "RamResult_str": "PASS",
    "RamHelpUrl": "",
    "Os": {
        "Name": "Windows 11 64-bit",
        "Is64bit": true,
        "IsServer": false,
        "Version": 8,
        "DetailedInfo": {
            "RtlGetVersion_Loaded": true,
            "RtlGetVersion_Succeeded": true,
            "MajorVersion": 10,
            "MinorVersion": 0,
            "BuildNumber": 22631
        }
    },
    "OsResult": 0,
    "OsResult_str": "PASS",
    "OsResultSpecific": 0,
    "OsResultSpecific_str": "PASS",
    "OsHelpUrl": "",
    "UsbControllerList": [
        {
            "Compatibility": 3,
            "Compatibility_str": "UNKNOWN_USB3",
            "Name": "AMD USB 3.10 eXtensible Host Controller - 1.10 (Microsoft)",
            "VendorId": 4130,
            "ProductId": 5276,
            "UsbMajorVersion": 3,
            "ProgIf": 48,
            "DriverDescription": "USB xHCI Compliant Host Controller",
            "DriverProvider": "Microsoft",
            "DriverVersion": "10.0.22621.3672",
            "MatchedRefernce": {
                "VendorId": -1,
                "ProductId": 0,
                "Os": "Unknown",
                "DriverProviderName": "",
                "DriverVersion": "0.0.0.0"
            }
        },
        {
            "Compatibility": 3,
            "Compatibility_str": "UNKNOWN_USB3",
            "Name": "AMD USB 3.10 eXtensible Host Controller - 1.10 (Microsoft)",
            "VendorId": 4130,
            "ProductId": 5276,
            "UsbMajorVersion": 3,
            "ProgIf": 48,
            "DriverDescription": "USB xHCI Compliant Host Controller",
            "DriverProvider": "Microsoft",
            "DriverVersion": "10.0.22621.3672",
            "MatchedRefernce": {
                "VendorId": -1,
                "ProductId": 0,
                "Os": "Unknown",
                "DriverProviderName": "",
                "DriverVersion": "0.0.0.0"
            }
        },
        {
            "Compatibility": 3,
            "Compatibility_str": "UNKNOWN_USB3",
            "Name": "AMD USB 3.10 eXtensible Host Controller - 1.10 (Microsoft)",
            "VendorId": 4130,
            "ProductId": 5276,
            "UsbMajorVersion": 3,
            "ProgIf": 48,
            "DriverDescription": "USB xHCI Compliant Host Controller",
            "DriverProvider": "Microsoft",
            "DriverVersion": "10.0.22621.3672",
            "MatchedRefernce": {
                "VendorId": -1,
                "ProductId": 0,
                "Os": "Unknown",
                "DriverProviderName": "",
                "DriverVersion": "0.0.0.0"
            }
        }
    ],
    "UsbResult": 0,
    "UsbResult_str": "PASS",
    "UsbResultSpecific": 0,
    "UsbResultSpecific_str": "PASS",
    "UsbMatchedController": {
        "Compatibility": 3,
        "Compatibility_str": "UNKNOWN_USB3",
        "Name": "AMD USB 3.10 eXtensible Host Controller - 1.10 (Microsoft)",
        "VendorId": 4130,
        "ProductId": 5276,
        "UsbMajorVersion": 3,
        "ProgIf": 48,
        "DriverDescription": "USB xHCI Compliant Host Controller",
        "DriverProvider": "Microsoft",
        "DriverVersion": "10.0.22621.3672",
        "MatchedRefernce": {
            "VendorId": -1,
            "ProductId": 0,
            "Os": "Unknown",
            "DriverProviderName": "",
            "DriverVersion": "0.0.0.0"
        }
    },
    "UsbHelpUrl": "",
    "InternalErrors": []
},
  "bsod": [
  ],
  "overall_compat": "PASS",
  "cpu_names": "AMD Ryzen 9 5950X 16-Core Processor            ",
  "cpu_cores": "16",
  "cpu_compat": "PASS",
  "gpu_names": "NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090",
  "gpu_whitelist_names": "NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090",
  "gpu_vram": "23040 , 23040 , 23040",
  "gpu_driver": "32.0.15.6590 , 32.0.15.6590 , 32.0.15.6590",
  "gpu_compat": "PASS , FAIL , FAIL",
  "gpu_pid": "9860 , 9860 , 9860",
  "gpu_vid": "4318 , 4318 , 4318",
  "gpu_revid": "161 , 161 , 161",
  "gpu_subsys_vid": "0 , 0 , 0",
  "gpu_hybrid_result": "Success , NoMatchingAdapter , NoMatchingAdapter",
  "gpu_driver_compatible": "1 , 1 , 1",
  "gpu_pass_hybrid_check": "1 , 0 , 0",
  "gpu_vulkan_capable": "1 , 1 , 1",
  "gpu_rec_spec_performance_flags": "0 , 0 , 0",
  "system_memory": "130984",
  "system_memory_compat": "PASS",
  "os": "Windows 11 64-bit",
  "os_version": "8",
  "os_major": "10",
  "os_minor": "0",
  "os_build": "22631",
  "os_compat": "PASS",
  "usb_compat": "PASS",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "hmd_graphics_adapter_desc": "",
  "hmd_graphics_adapter_vid": "0",
  "hmd_graphics_adapter_pid": "0",
  "hmd_graphics_adapter_vram_mib": "0",
  "hmd_graphics_adapter_driver": "0.0.0.0",
  "hmd_display_system": "None",
  "hmd_display_connector_type": "",
  "hmd_display_dongle_type": "",
  "motherboard_product": "ROG CROSSHAIR VIII DARK HERO",
  "motherboard_manufacturer": "ASUSTeK COMPUTER INC.",
  "motherboard_serial": "210484258200026",
  "motherboard_version": "Rev X.0x",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.187863,
  "timestamp_epoch": 1727997691.123816,
  "event": "oculus_x360emu_init",
  "pid": "0",
  "time_ms": "0.148700",
  "mode": "1",
  "operating_system": "10",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.187933,
  "timestamp_epoch": 1727997691.123895,
  "event": "oculus_pc_xrs_mode_change",
  "pid": "0",
  "mode": "detect",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.187998,
  "timestamp_epoch": 1727997691.123958,
  "event": "oculus_pc_xrs_connection_port_established",
  "pid": "0",
  "type": "streaming",
  "detector_id": "1",
  "port": "63467",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188052,
  "timestamp_epoch": 1727997691.124014,
  "event": "oculus_pc_airlink_advertisement_start",
  "pid": "0",
  "service_name": "1bcb1b5d75c93b3af54520dba023b0173c7f4af49668382032fbf155793677d3",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188100,
  "timestamp_epoch": 1727997691.124060,
  "event": "oculus_pc_airlink_register_service_advert_start",
  "pid": "0",
  "service_name": "1bcb1b5d75c93b3af54520dba023b0173c7f4af49668382032fbf155793677d3",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188146,
  "timestamp_epoch": 1727997691.124107,
  "event": "oculus_pc_airlink_register_service_advert_end",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188198,
  "timestamp_epoch": 1727997691.124158,
  "event": "oculus_pc_xrs_connection_port_established",
  "pid": "0",
  "type": "basic",
  "detector_id": "0",
  "port": "63466",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188259,
  "timestamp_epoch": 1727997691.124219,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188306,
  "timestamp_epoch": 1727997691.124269,
  "event": "oculus_pc_airlink_advertisement_start",
  "pid": "0",
  "service_name": "1bcb1b5d75c93b3af54520dba023b0173c7f4af49668382032fbf155793677d3",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188341,
  "timestamp_epoch": 1727997691.124304,
  "event": "oculus_pc_airlink_register_service_advert_start",
  "pid": "0",
  "service_name": "1bcb1b5d75c93b3af54520dba023b0173c7f4af49668382032fbf155793677d3",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.188464,
  "timestamp_epoch": 1727997691.124426,
  "event": "oculus_pc_airlink_register_service_advert_end",
  "pid": "0",
  "service_name": "91650c9c9636beb91eed01901c3928736138aac87ffe0542f744d05834624692",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11119.193967,
  "timestamp_epoch": 1727997691.129917,
  "event": "oculus_error",
  "name": "ovrError_DisplayInit",
  "occurrences": 2,
  "process_id": 0,
  "type": 0,
  "code": -3006,
  "system_code": 0,
  "soft_error": 0,
  "desc": "Error reading vendor and device Id",
  "truncated_desc": 0,
  "overall_compat": "PASS",
  "cpu_names": "AMD Ryzen 9 5950X 16-Core Processor            ",
  "cpu_cores": "16",
  "cpu_compat": "PASS",
  "gpu_names": "NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090",
  "gpu_whitelist_names": "NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090 , NVIDIA GeForce RTX 4090",
  "gpu_vram": "23040 , 23040 , 23040",
  "gpu_driver": "32.0.15.6590 , 32.0.15.6590 , 32.0.15.6590",
  "gpu_compat": "PASS , FAIL , FAIL",
  "gpu_pid": "9860 , 9860 , 9860",
  "gpu_vid": "4318 , 4318 , 4318",
  "gpu_revid": "161 , 161 , 161",
  "gpu_subsys_vid": "0 , 0 , 0",
  "gpu_hybrid_result": "Success , NoMatchingAdapter , NoMatchingAdapter",
  "gpu_driver_compatible": "1 , 1 , 1",
  "gpu_pass_hybrid_check": "1 , 0 , 0",
  "gpu_vulkan_capable": "1 , 1 , 1",
  "gpu_rec_spec_performance_flags": "0 , 0 , 0",
  "system_memory": "130984",
  "system_memory_compat": "PASS",
  "os": "Windows 11 64-bit",
  "os_version": "8",
  "os_major": "10",
  "os_minor": "0",
  "os_build": "22631",
  "os_compat": "PASS",
  "usb_compat": "PASS",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "hmd_graphics_adapter_desc": "",
  "hmd_graphics_adapter_vid": "0",
  "hmd_graphics_adapter_pid": "0",
  "hmd_graphics_adapter_vram_mib": "0",
  "hmd_graphics_adapter_driver": "0.0.0.0",
  "hmd_display_system": "None",
  "hmd_display_connector_type": "",
  "hmd_display_dongle_type": "",
  "motherboard_product": "ROG CROSSHAIR VIII DARK HERO",
  "motherboard_manufacturer": "ASUSTeK COMPUTER INC.",
  "motherboard_serial": "210484258200026",
  "motherboard_version": "Rev X.0x",
  "is_proximity_active": "0"
},{
  "timestamp": 11122.196980,
  "timestamp_epoch": 1727997694.132935,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11135.509420,
  "timestamp_epoch": 1727997707.445373,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11139.096146,
  "timestamp_epoch": 1727997711.032098,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11147.789925,
  "timestamp_epoch": 1727997719.725877,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11171.147740,
  "timestamp_epoch": 1727997743.083690,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11360.423940,
  "timestamp_epoch": 1727997932.359895,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11360.424014,
  "timestamp_epoch": 1727997932.359975,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11370.679895,
  "timestamp_epoch": 1727997942.615850,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11610.921038,
  "timestamp_epoch": 1727998182.856991,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11716.792197,
  "timestamp_epoch": 1727998288.728151,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 11851.114092,
  "timestamp_epoch": 1727998423.050042,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12091.146355,
  "timestamp_epoch": 1727998663.082306,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12317.533986,
  "timestamp_epoch": 1727998889.469934,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12331.466847,
  "timestamp_epoch": 1727998903.402793,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12571.360327,
  "timestamp_epoch": 1727999143.296283,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12811.523664,
  "timestamp_epoch": 1727999383.459614,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 12917.660741,
  "timestamp_epoch": 1727999489.596694,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 13051.934899,
  "timestamp_epoch": 1727999623.870849,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 13291.976796,
  "timestamp_epoch": 1727999863.912746,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 13517.816214,
  "timestamp_epoch": 1728000089.752167,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 13532.063262,
  "timestamp_epoch": 1728000103.999214,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 13772.023029,
  "timestamp_epoch": 1728000343.958979,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14012.259689,
  "timestamp_epoch": 1728000584.195644,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14118.778563,
  "timestamp_epoch": 1728000690.714514,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14252.298869,
  "timestamp_epoch": 1728000824.234821,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14492.516047,
  "timestamp_epoch": 1728001064.452002,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14718.708301,
  "timestamp_epoch": 1728001290.644250,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14732.472877,
  "timestamp_epoch": 1728001304.408832,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 14972.641449,
  "timestamp_epoch": 1728001544.577406,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15212.905555,
  "timestamp_epoch": 1728001784.841502,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15319.628424,
  "timestamp_epoch": 1728001891.564381,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15452.881372,
  "timestamp_epoch": 1728002024.817324,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15693.289070,
  "timestamp_epoch": 1728002265.225020,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15920.424046,
  "timestamp_epoch": 1728002492.360000,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 15933.462435,
  "timestamp_epoch": 1728002505.398391,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 16173.586282,
  "timestamp_epoch": 1728002745.522230,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 16413.697305,
  "timestamp_epoch": 1728002985.633255,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 16521.287791,
  "timestamp_epoch": 1728003093.223740,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 16653.849898,
  "timestamp_epoch": 1728003225.785852,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 16893.572652,
  "timestamp_epoch": 1728003465.508602,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17121.084794,
  "timestamp_epoch": 1728003693.020744,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17133.745713,
  "timestamp_epoch": 1728003705.681668,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17373.848454,
  "timestamp_epoch": 1728003945.784404,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17614.004064,
  "timestamp_epoch": 1728004185.940014,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17721.525158,
  "timestamp_epoch": 1728004293.461108,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 17854.230942,
  "timestamp_epoch": 1728004426.166894,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18094.433969,
  "timestamp_epoch": 1728004666.369922,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18322.116890,
  "timestamp_epoch": 1728004894.052838,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18334.785814,
  "timestamp_epoch": 1728004906.721766,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18574.676897,
  "timestamp_epoch": 1728005146.612853,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18814.657987,
  "timestamp_epoch": 1728005386.593940,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 18922.617617,
  "timestamp_epoch": 1728005494.553572,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 19054.862150,
  "timestamp_epoch": 1728005626.798100,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 19295.171416,
  "timestamp_epoch": 1728005867.107372,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 19523.111492,
  "timestamp_epoch": 1728006095.047444,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 19535.372826,
  "timestamp_epoch": 1728006107.308778,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 19775.556012,
  "timestamp_epoch": 1728006347.491963,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20015.743120,
  "timestamp_epoch": 1728006587.679072,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20123.150470,
  "timestamp_epoch": 1728006695.086421,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20255.768303,
  "timestamp_epoch": 1728006827.704257,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20495.770596,
  "timestamp_epoch": 1728007067.706550,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20723.571635,
  "timestamp_epoch": 1728007295.507588,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20735.776235,
  "timestamp_epoch": 1728007307.712187,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 20975.934014,
  "timestamp_epoch": 1728007547.869968,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21216.114487,
  "timestamp_epoch": 1728007788.050440,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21324.268796,
  "timestamp_epoch": 1728007896.204749,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21456.230034,
  "timestamp_epoch": 1728008028.165986,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21696.580954,
  "timestamp_epoch": 1728008268.516905,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.671905,
  "timestamp_epoch": 1728008366.607860,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_HUB_CONTROL_TRANSFER_ERROR",
  "version": "0",
  "channel": "16",
  "task": "15",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002001",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_PortNumber = 00000000, fid_UsbdStatus = c0007000, fid_NtStatus = c000000e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.671993,
  "timestamp_epoch": 1728008366.607953,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "0",
  "event_id": "USBHUB3_ETW_EVENT_HUB_CONTROL_TRANSFER_ERROR",
  "version": "0",
  "channel": "16",
  "task": "15",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002001",
  "event_specific_payload": "fid_UsbDevice = 000073f8293f43b8, fid_PortNumber = 00000000, fid_UsbdStatus = 80000300, fid_NtStatus = c000000e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.672045,
  "timestamp_epoch": 1728008366.608006,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "0",
  "event_id": "USBHUB3_ETW_EVENT_HUB_CONTROL_TRANSFER_ERROR",
  "version": "0",
  "channel": "16",
  "task": "15",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002001",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_PortNumber = 00000000, fid_UsbdStatus = 80000300, fid_NtStatus = c000000e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.672107,
  "timestamp_epoch": 1728008366.608068,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f81629c3b8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.672155,
  "timestamp_epoch": 1728008366.608117,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "41256",
  "event_id": "USBHUB3_ETW_EVENT_HUB_CONTROL_TRANSFER_ERROR",
  "version": "0",
  "channel": "16",
  "task": "15",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002001",
  "event_specific_payload": "fid_UsbDevice = 000073f817cc53b8, fid_PortNumber = 00000000, fid_UsbdStatus = 80000300, fid_NtStatus = c000000e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21794.672199,
  "timestamp_epoch": 1728008366.608160,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "41256",
  "event_id": "USBHUB3_ETW_EVENT_HUB_CONTROL_TRANSFER_ERROR",
  "version": "0",
  "channel": "16",
  "task": "15",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002001",
  "event_specific_payload": "fid_UsbDevice = 000073f82a9ea3b8, fid_PortNumber = 00000000, fid_UsbdStatus = 80000300, fid_NtStatus = c000000e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21795.691367,
  "timestamp_epoch": 1728008367.627319,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21795.691464,
  "timestamp_epoch": 1728008367.627424,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "4",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21803.866027,
  "timestamp_epoch": 1728008375.801980,
  "event": "oculus_etw_usb_event",
  "pid": "0",
  "provider_guid": "ETW_PROVIDER_USB3HUB_GUID",
  "process_id": "7380",
  "event_id": "USBHUB3_ETW_EVENT_CLIENT_INITIATED_RECOVERY_ACTION",
  "version": "0",
  "channel": "16",
  "task": "11",
  "opcode": "11",
  "activity_guid": "{00000000-0000-0000-0000-000000000000}",
  "keyword": "4000000000002401",
  "event_specific_payload": "fid_UsbDevice = 000073f8492219c8, fid_IoctlCode = 00220003, fid_UrbFunction = 0000001e, ",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21924.351788,
  "timestamp_epoch": 1728008496.287741,
  "event": "oculus_gamepad_stats",
  "pid": "0",
  "count": "0",
  "pressed": "0",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 21936.616681,
  "timestamp_epoch": 1728008508.552637,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
},{
  "timestamp": 22176.732886,
  "timestamp_epoch": 1728008748.668842,
  "event": "oculus_pc_airlink_mdns_query_start",
  "pid": "0",
  "service_name": "ff0c02f6efdf51eb6fb4e9c391218f65521e24aa2bce4fb1f8573358d0974710",
  "machine_tags": "",
  "machine_id": "3b3c0ff91d56d5eb87f5b496d064bee17827365472269bea43c9a86e17f2dbb0",
  "is_proximity_active": "0"
}